package cn.com.countrygarden.bi.main.service.marketing;

import cn.com.countrygarden.bi.main.core.Service;
import cn.com.countrygarden.bi.main.model.PageData;
import cn.com.countrygarden.bi.main.model.marketing.CommReportWeekly;

import java.util.List;
import java.util.Map;

public interface CommReportWeeklyService extends Service<CommReportWeekly> {
    Map<String, Object> insertOrUpdate(int commId, int woy, int year, String workContent, String workPlan, String currentAssistanceIssues, String userCode);

    List<CommReportWeekly> search(int commId, int year, int limit);
    List<Map<String, Object>> getLastWeeklyReport(int commId, int year, int limit);

    CommReportWeekly getCurrentReport(int commId);
    Map<String, Object> getCurrentReportMap(int commId);

    PageData searchSummary(String userCode, String searchKey,
                                  String organId,
                                  String contractorName,
                                  String startDteStr,
                                  String endDateStr,
                                  String state,
                                  int skipe,
                                  int limit);
}
